      *_> CNLLSTSPLF SRCFILE(@2/@1) SRCMBR(@3)
      *_> DLTMOD MODULE(@5/@4)
      *_> CRTRPGMOD MODULE(@5/@4) SRCFILE(@2/@1) SRCMBR(@3) +
      *_>   DBGVIEW(@9) OPTIMIZE(@8) OPTION(*EVENTF)
      * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      * Module.....: XV0001_M02
      * By.........: Alan Campin
      * Date.......: 06/12/2013
      * Purpose....: Check message for validity and return program name and parameter
      *                associated with message.
      * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      * Program Modification Section:
      * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      * By.........:
      * Date.......:
      * Description:
      * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
     h Option(*Srcstmt:*Nodebugio:*NoShowCpy:*NoUnref)
     h NoMain

      /copy *libl/qsrcf,cb_StdType
      /copy *libl/qsrcf,cb_Std_Con

      /copy *libl/qsrcf,xverrh_pr

     d CheckMessage...
     d                 pr                  ExtProc('CheckMessage')
     d   PR_InMessage...
     d                               62a   Value
     d   PR_OutValidYN...
     d                                1a
     d   PR_OutProgramName...
     d                               10a
     d   PR_OutLibraryName...
     d                               10a
     d   PR_OutParameter...
     d                               64a
      * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      *  CheckMessage
      *    Check message for validity and return program name and
      *      parameter associated with the message.
      *   Input     - Message.
      *   Out       - Valid Y or N.
      *               Program Name to execute.
      *               Parameter to pass to program.
      *   Returns   - None.
      * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
     p CheckMessage...
     p                 b                   Export
     fXVCONMSG  if   e           k Disk
     d                 pi
     d   InMessage...
     d                               62a   Value
     d   OutValidYN...
     d                                1a
     d   OutProgramName...
     d                               10a
     d   OutLibraryName...
     d                               10a
     d   OutParameter...
     d                               64a

     d dsConMsg...
     d                 ds                  LikeRec(RCONMSG)

     d vMessage...
     d                 s             62a   Varying
      /Free

       OutValidYN     = cNo;
       OutProgramName = ' ';
       OutLibraryName = ' ';
       OutParameter   = ' ';

       // Get program record.
       vMessage = %Trim(InMessage);
       Chain vMessage XVCONMSG dsConMsg;
       If Not %Found(XVCONMSG);
         OutValidYN = cNo;
       Else;
         If dsConMsg.CMACTIVE = cNo;
           OutValidYN = cNo;
         Else;
           OutValidYN = cYes;
           OutProgramName = dsConMsg.CMPGMNAME;
           OutLibraryName = dsConMsg.CMPGMLIB;
           OutParameter   = dsConmsg.CMPARMSTG;
         EndIf;
       EndIf;

       Return;

      /End-Free
     p                 e
